中危 tsMuxer堆缓冲区溢出漏洞

CVE编号

CVE-2021-35346

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-12-06
漏洞描述
tsMuxeR是一款用来封装字幕、音轨的编辑工具,通过它我们可以直接从TS, M2TS, MPG,VOB ,EVO, MKV 等格式里导入音视频。
tsMuxer v2.6.16版本中hevc.cpp的HevcSpsUnit::short_term_ref_pic_set(int)存在堆缓冲区溢出漏洞。攻击者可利用该漏洞导致堆缓冲区溢出。

受影响系统:
tsMuxer tsMuxer 2.6.16

解决建议
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
https://github.com/justdan96/tsMuxer/issues/436
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 tsmuxer_project tsmuxer 2.6.16 -
阿里云评分
5.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-787 跨界内存写
阿里云安全产品覆盖情况